---
title: '<tt>: The Teletype Text element (obsolete)'
slug: Web/HTML/Element/tt
tags:
  - Element
  - HTML
  - Monospace
  - Monotype
  - Non-proportional Type
  - Obsolete
  - Reference
  - Teletype
  - Teletype Text
  - Web
  - font-family
  - tt
---
<div>{{HTMLRef}}{{obsolete_header}}</div>

<p><span class="seoSummary">The obsolete <strong>HTML Teletype Text element</strong> (<strong><code>&lt;tt&gt;</code></strong>) creates inline text which is presented using the {{Glossary("user agent", "user agent's")}} default monospace font face.</span> This element was created for the purpose of rendering text as it would be displayed on a fixed-width display such as a teletype, text-only screen, or line printer.</p>

<p>The terms <strong>non-proportional</strong>, <strong>monotype</strong>, and <strong>monospace</strong> are used interchangeably and have the same general meaning: they describe a typeface whose characters are all the same number of pixels wide.</p>

<p>This element is obsolete, however. You should use the more semantically helpful {{HTMLElement("code")}}, {{HTMLElement("kbd")}}, {{HTMLElement("samp")}}, or {{HTMLElement("var")}} elements for inline text that needs to be presented in monospace type, or the {{HTMLElement("pre")}} tag for content that should be presented as a separate block.</p>

<div class="note">If none of the semantic elements are appropriate for your use case (for example, if you need to show some content in a non-proportional font), you should consider using the {{ HTMLElement("span") }} element, styling it as desired using CSS. The {{cssxref("font-family")}} property is a good place to start.</div>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row"><a href="/en-US/docs/Web/Guide/HTML/Content_categories">Content categories</a></th>
   <td><a href="/en-US/docs/Web/Guide/HTML/Content_categories#Flow_content">Flow content</a>, <a href="/en-US/docs/Web/Guide/HTML/Content_categories#Phrasing_content">phrasing content</a>, palpable content.</td>
  </tr>
  <tr>
   <th scope="row">Permitted content</th>
   <td><a href="/en-US/docs/Web/Guide/HTML/Content_categories#Phrasing_content">Phrasing content</a>.</td>
  </tr>
  <tr>
   <th scope="row">Tag omission</th>
   <td>{{no_tag_omission}}</td>
  </tr>
  <tr>
   <th scope="row">Permitted parents</th>
   <td>Any element that accepts <a href="/en-US/docs/Web/Guide/HTML/Content_categories#Phrasing_content">phrasing content</a>.</td>
  </tr>
  <tr>
   <th scope="row">Permitted ARIA roles</th>
   <td>Any</td>
  </tr>
  <tr>
   <th scope="row">DOM interface</th>
   <td>{{domxref("HTMLElement")}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Attributes">Attributes</h2>

<p>This element only includes the <a href="/en-US/docs/Web/HTML/Global_attributes">global attributes</a></p>

<h2 id="Examples">Examples</h2>

<h3 id="Basic_example">Basic example</h3>

<p>This example uses <code>&lt;tt&gt;</code> to show text entered into, and output by, a terminal application.</p>

<pre class="brush:html notranslate">&lt;p&gt;Enter the following at the telnet command prompt: &lt;code&gt;set localecho&lt;/code&gt;&lt;br /&gt;

The telnet client should display: &lt;tt&gt;Local Echo is on&lt;/tt&gt;&lt;/p&gt;
</pre>

<h4 id="Result">Result</h4>

<p>{{EmbedLiveSample("Basic_example", 650, 80)}}</p>

<h3 id="Overriding_the_default_font">Overriding the default font</h3>

<p>You can override the browser's default font—if the browser permits you to do so, which it isn't required to do—using CSS:</p>

<h4 id="CSS">CSS</h4>

<pre class="brush: css notranslate">tt {
  font-family: "Lucida Console", "Menlo", "Monaco", "Courier",
               monospace;
}</pre>

<h4 id="HTML">HTML</h4>

<pre class="brush: html notranslate">&lt;p&gt;Enter the following at the telnet command prompt: &lt;code&gt;set localecho&lt;/code&gt;&lt;br /&gt;

The telnet client should display: &lt;tt&gt;Local Echo is on&lt;/tt&gt;&lt;/p&gt;</pre>

<h4 id="Result_2">Result</h4>

<p>{{EmbedLiveSample("Overriding_the_default_font", 650, 80)}}</p>

<h2 id="Usage_notes">Usage notes</h2>

<p>The <code>&lt;tt&gt;</code> element is, by default, rendered using the browser's default non-proportional font. You can override this using CSS by creating a rule using the <code>tt</code> selector, as seen in the example {{anch("Overriding the default font")}} above.</p>

<div class="note">
<p>User-configured changes to the default monospace font setting may take precedence over your CSS.</p>
</div>

<p>Although this element wasn't officially deprecated in HTML 4.01, its use was discouraged in favor of the semantic elements and/or CSS. The <code>&lt;tt&gt;</code> element is obsolete in HTML 5.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML5 W3C', 'obsolete.html#elementdef-tt', '&lt;tt&gt;')}}</td>
   <td>{{Spec2('HTML5 W3C')}}</td>
   <td></td>
  </tr>
  <tr>
   <td>{{SpecName('HTML4.01', 'present/graphics.html#h-15.2.1', '&lt;tt&gt;')}}</td>
   <td>{{Spec2('HTML4.01')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("html.elements.tt")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>The semantic {{HTMLElement("code")}}, {{HTMLElement("var")}}, {{HTMLElement("kbd")}}, and {{HTMLElement("samp")}} elements</li>
 <li>The {{HTMLElement("pre")}} element for displaying preformatted text blocks</li>
</ul>
